viralquery
API referencev1/subscribe/claim

Claim a paid subscription and retrieve the key

POST
/v1/subscribe/claim

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

claimToken*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/subscribe/claim" \  -H "Content-Type: application/json" \  -d '{    "claimToken": "string"  }'
{
  "status": "string",
  "apiKey": "string",
  "accountId": "string",
  "plan": "viralquery",
  "billingInterval": "monthly"
}
{
  "error": "invalid_request",
  "message": "string",
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}
{
  "error": "temporary_service_error",
  "message": "string",
  "retryable": true
}